﻿#NoTrayIcon
#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
#Warn  ; Enable warnings to assist with detecting common errors.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

global k_APPNAME := "Explorer Restart"
global k_COMPILERDIR := "C:\Program Files\AutoHotkey\Compiler"
global k_TARGET := "Build\" . k_APPNAME . ".exe"

Progress, A M T FS8, Beginning compilation process, Compiling %k_APPNAME%, Compiling

;Progress, , Running clean-up script
;RunWait, Clean.ahk
;Sleep 1000
FileDelete, %k_TARGET%

Progress, 5, Running compilation
RunWait, "%k_COMPILERDIR%\Ahk2Exe.exe" /in "%k_APPNAME%.ahk" /out "%k_TARGET%" /bin "%k_COMPILERDIR%\Unicode 64-bit.bin", , UseErrorLevel
if ErrorLevel
{
	MsgBox, 8208, Compilation error, Compile stage failed with exit code %ErrorLevel%
	Exit
}

IfNotExist, %k_TARGET%
{
	MsgBox, 8208, Compilation error, %k_TARGET% missing - compile failed
	Exit
}

Progress, 100, Compilation complete
Sleep 200